MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024494Open CASCADE[OCCT] OCCT:Documentationpublic2013-12-24 11:112014-05-05 13:37
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024494: Value of OCC_VERSION_DEVELOPMENT is not accounted in generated overview documentation
DescriptionOverview documentation generated for current development version does not correctly represent development status of this version. It should do that by parsing OCC_VERSION_DEVELOPMENT macro in the Standard_Version.hxx header file, and generating version number as "6.7.1.dev" (instead of "6.7.1").
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0027316)
abv (manager)
2013-12-24 11:15

Fix provided in branch CR24494, please test

- Related Changesets
occt: master 12a45e03
Timestamp: 2013-12-24 07:14:43
Author: abv
Committer: abv
Details ] Diff ]
0024494: Value of OCC_VERSION_DEVELOPMENT is not accounted in generated overview documentation

Parser of OCCT version corrected to include development macro in complete version number.
mod - dox/occdoc.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-24 11:11 abv New Issue
2013-12-24 11:11 abv Assigned To => atp
2013-12-24 11:15 abv Note Added: 0027316
2013-12-24 11:15 abv Assigned To atp => bugmaster
2013-12-24 11:15 abv Status new => resolved
2013-12-26 12:41 bugmaster Status resolved => reviewed
2013-12-26 12:41 bugmaster Status reviewed => tested
2013-12-27 12:29 abv Changeset attached => occt master 12a45e03
2013-12-27 12:29 abv Assigned To bugmaster => abv
2013-12-27 12:29 abv Status tested => verified
2013-12-27 12:29 abv Resolution open => fixed
2014-01-13 11:14 bugmaster Category OCCT Release:DOC => OCCT:Documentation
2014-05-05 13:36 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker